Multiple Vendor rpc.nisd Long NIS+ Argument Remote Overflow

High Nessus Plugin ID 10251


The remote service is vulnerable to a buffer overflow attack.


The remote RPC service 100300 (nisd) is vulnerable to a buffer overflow attack that allows any user to obtain a root shell on this host.


Disable this service if you don't use it, or apply the relevant patch.

See Also

Plugin Details

Severity: High

ID: 10251

File Name: nisd_overflow.nasl

Version: $Revision: 1.24 $

Type: remote

Family: RPC

Published: 2002/08/26

Modified: 2016/11/23

Dependencies: 10223, 12982, 12870

Risk Information

Risk Factor: High


Base Score: 7.5

Temporal Score: 7.5

Vector: CVSS2#AV:N/AC:L/Au:N/C:P/I:P/A:P

Temporal Vector: CVSS2#E:H/RL:U/RC:ND

Vulnerability Information

Required KB Items: rpc/portmap, Settings/ParanoidReport

Vulnerability Publication Date: 1998/06/10

Reference Information

CVE: CVE-1999-0008

BID: 104

OSVDB: 11724